package Status;
use strict;
use IO::File;

sub new {
    my $proto = shift;
    my $dir = shift;
    my $class = ref($proto) || $proto;
    my $self = {};
    $self->{'DIR'} = $dir;
    if (!-e $dir) {
	`mkdir $dir`;
    }
    bless($self, $class);
    return $self;
}

sub get_status {
    my($self, $id) = @_;
    my($filename) = $self->filename($id);
    if (-e $filename) {
	my($fh) = IO::File->new($filename);
	if (defined($fh)) {
	    my($line) = <$fh>;
	    chop $line;
	    $fh->close();
	    return $line;
	}
    } else {
	return "";
    }
}

sub set_status {
    my($self, $id, $status) = @_;
    my($filename) = $self->filename($id);
    if ($status eq "") {
	unlink($filename);
    } else {
	my($fh) = IO::File->new(">$filename");
	if (defined($fh)) {
	    $fh->print("$status\n");
	    $fh->close();
	}
    }
}

sub filename {
    my($self, $id) = @_;
    return $self->{'DIR'} . "/" . $id;
}

1;
